%define	pkgname	dotconf
Name:		libdotconf0
Version:	1.3
Release:	3.4
Url:		http://www.opentts.org/projects/dotconf
Group:		System
Summary:	Configuration file parser
License:	GPL
Source0:	http://files.opentts.org/dotconf/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
Dot.conf is a simple-to-use and powerful configuration-file parser library written in C.
The configuration files created for dot.conf look very similar to those used by the Apache Webserver.
Even containerDirectives known from httpd.conf can easily be used in the exact same manner as for Apache-Modules.
It supports various types of arguments, dynamically loadable modules that create their own
configuration options on-the-fly, a here-documents feature to pass very long ARG_STR data to your app,
and on-the-fly inclusion of additional config files.

%package -n %{pkgname}-devel
Group:		Development/Languages/C and C++
Summary:	Dotconf development files
Requires:	libdotconf0

%description -n %{pkgname}-devel
Development files for %{pkgname}.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
%__make
cd examples/libpool
%__make

%install
%__make DESTDIR=%{buildroot} install
mv %{buildroot}/%{_datadir}/doc/%{pkgname}/dotconf-api.txt .
mv %{buildroot}/%{_datadir}/doc/%{pkgname}/dotconf-features.txt .
%__install -m644 examples/libpool/libpool.a %{buildroot}/%{_libdir}/libpool.a
%__install -m644 examples/libpool/libpool.h %{buildroot}/%{_includedir}/libpool.h
rm -rf %{buildroot}/%{_datadir}/doc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README AUTHORS
%doc dotconf-api.txt
%doc dotconf-features.txt
%{_libdir}/libdotconf.so.0.0.1

%files -n %{pkgname}-devel
%defattr(-,root,root)
%{_includedir}/dotconf.h
%{_includedir}/libpool.h
%{_libdir}/libpool.a
%{_libdir}/libdotconf.a
%{_libdir}/libdotconf.la
%{_libdir}/libdotconf.so
%{_libdir}/libdotconf.so.0
%{_libdir}/pkgconfig/dotconf.pc

%changelog
* Sun Jul 11 2010 Carsten Schoene <cs@linux-administrator.com> - 1.3-1
- initial build
